itpp::OFDM Class Reference
Communications Module » Digital Modulation

Class for modulating and demodulation of OFDM signals using the FFT. More...

`#include <itpp/comm/ofdm.h>`

## Public Member Functions

| OFDM (void)
| Empty constructor.
| OFDM (int inNfft, int inNcp, int inNupsample=1)
| Constructor Nfft is the size of the FFT. Ncp is the length of the cyclic prefix. Nupsample is the upsampling factor (default=1)
int | no_carriers ()
| Return the number of carriers.
void | set_parameters (const int Nfft, const int Ncp, const int inNupsample=1)
| Set parameters.
cvec | modulate (const cvec &input)
| Modulate complex data symbols. Length of `input` must be an integer multiple of `Nfft`.
void | modulate (const cvec &input, cvec &output)
| Modulate complex data symbols. Length of `input` must be an integer multiple of `Nfft`.
cvec | demodulate (const cvec &input)
| Demodulate to complex valued symbols. Length of `input` must be an integer multiple of `Nfft+Ncp`.
void | demodulate (const cvec &input, cvec &output)
| Demodulate to complex valued symbols. Length of `input` must be an integer multiple of `Nfft+Ncp`.

## Detailed Description

Class for modulating and demodulation of OFDM signals using the FFT.

The modulated signal is normalized taking into account the cyclic prefix

Definition at line 46 of file ofdm.h.

The documentation for this class was generated from the following files:

- itpp/comm/ofdm.h
- itpp/comm/ofdm.cpp

Generated on Thu Aug 20 2015 21:02:53 for IT++ by Doxygen 1.8.9.1